#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long n,x,i,sol,a,b;
    scanf("%lld%lld",&n,&x);
    long long niz[n];
    for(i=0;i<n;i++) scanf("%lld",&niz[i]);
    sort(niz,niz+n);
    if(niz[0]<x) a=x-niz[0];
    else
        a=0;
    if(niz[n-1]>x) b=niz[n-1]-x;
    else
        b=0;
    if(a>=b)
        sol=2*b+a;
    else
        sol=2*a+b;
    printf("%lld",sol);
 return 0;
}